Index: /pjproject/branches/projects/vs-reorg/pjlib-util/build/pjlib_util.vcproj
===================================================================
--- /pjproject/branches/projects/vs-reorg/pjlib-util/build/pjlib_util.vcproj	(revision 2629)
+++ /pjproject/branches/projects/vs-reorg/pjlib-util/build/pjlib_util.vcproj	(revision 2630)
@@ -66,4 +66,6 @@
 			<Tool
 				Name="VCLibrarianTool"
+				OutputFile="..\..\lib\pjlib-util-$(TargetCPU)-$(PlatformName)-vs$(VSVer)-$(ConfigurationName).lib"
+
 			/>
 			<Tool
@@ -127,4 +129,6 @@
 			<Tool
 				Name="VCLibrarianTool"
+				OutputFile="..\..\lib\pjlib-util-$(TargetCPU)-wm6std-vs$(VSVer)-$(ConfigurationName).lib"
+
 			/>
 			<Tool
@@ -196,4 +200,6 @@
 			<Tool
 				Name="VCLibrarianTool"
+				OutputFile="..\..\lib\pjlib-util-$(TargetCPU)-wm6pro-vs$(VSVer)-$(ConfigurationName).lib"
+
 			/>
 			<Tool
@@ -266,4 +272,6 @@
 			<Tool
 				Name="VCLibrarianTool"
+				OutputFile="..\..\lib\pjlib-util-$(TargetCPU)-$(PlatformName)-vs$(VSVer)-$(ConfigurationName).lib"
+
 			/>
 			<Tool
@@ -327,4 +335,6 @@
 			<Tool
 				Name="VCLibrarianTool"
+				OutputFile="..\..\lib\pjlib-util-$(TargetCPU)-wm6std-vs$(VSVer)-$(ConfigurationName).lib"
+
 			/>
 			<Tool
@@ -396,4 +406,6 @@
 			<Tool
 				Name="VCLibrarianTool"
+				OutputFile="..\..\lib\pjlib-util-$(TargetCPU)-wm6pro-vs$(VSVer)-$(ConfigurationName).lib"
+
 			/>
 			<Tool
@@ -466,4 +478,6 @@
 			<Tool
 				Name="VCLibrarianTool"
+				OutputFile="..\..\lib\pjlib-util-$(TargetCPU)-$(PlatformName)-vs$(VSVer)-$(ConfigurationName).lib"
+
 			/>
 			<Tool
@@ -527,4 +541,6 @@
 			<Tool
 				Name="VCLibrarianTool"
+				OutputFile="..\..\lib\pjlib-util-$(TargetCPU)-wm6std-vs$(VSVer)-$(ConfigurationName).lib"
+
 			/>
 			<Tool
@@ -596,4 +612,6 @@
 			<Tool
 				Name="VCLibrarianTool"
+				OutputFile="..\..\lib\pjlib-util-$(TargetCPU)-wm6pro-vs$(VSVer)-$(ConfigurationName).lib"
+
 			/>
 			<Tool
@@ -666,4 +684,6 @@
 			<Tool
 				Name="VCLibrarianTool"
+				OutputFile="..\..\lib\pjlib-util-$(TargetCPU)-$(PlatformName)-vs$(VSVer)-$(ConfigurationName).lib"
+
 			/>
 			<Tool
@@ -727,4 +747,6 @@
 			<Tool
 				Name="VCLibrarianTool"
+				OutputFile="..\..\lib\pjlib-util-$(TargetCPU)-wm6std-vs$(VSVer)-$(ConfigurationName).lib"
+
 			/>
 			<Tool
@@ -796,4 +818,6 @@
 			<Tool
 				Name="VCLibrarianTool"
+				OutputFile="..\..\lib\pjlib-util-$(TargetCPU)-wm6pro-vs$(VSVer)-$(ConfigurationName).lib"
+
 			/>
 			<Tool
@@ -866,4 +890,6 @@
 			<Tool
 				Name="VCLibrarianTool"
+				OutputFile="..\..\lib\pjlib-util-$(TargetCPU)-$(PlatformName)-vs$(VSVer)-$(ConfigurationName).lib"
+
 			/>
 			<Tool
@@ -927,4 +953,6 @@
 			<Tool
 				Name="VCLibrarianTool"
+				OutputFile="..\..\lib\pjlib-util-$(TargetCPU)-wm6std-vs$(VSVer)-$(ConfigurationName).lib"
+
 			/>
 			<Tool
@@ -996,4 +1024,6 @@
 			<Tool
 				Name="VCLibrarianTool"
+				OutputFile="..\..\lib\pjlib-util-$(TargetCPU)-wm6pro-vs$(VSVer)-$(ConfigurationName).lib"
+
 			/>
 			<Tool
@@ -1066,4 +1096,6 @@
 			<Tool
 				Name="VCLibrarianTool"
+				OutputFile="..\..\lib\pjlib-util-$(TargetCPU)-$(PlatformName)-vs$(VSVer)-$(ConfigurationName).lib"
+
 			/>
 			<Tool
@@ -1127,4 +1159,6 @@
 			<Tool
 				Name="VCLibrarianTool"
+				OutputFile="..\..\lib\pjlib-util-$(TargetCPU)-wm6std-vs$(VSVer)-$(ConfigurationName).lib"
+
 			/>
 			<Tool
@@ -1196,4 +1230,6 @@
 			<Tool
 				Name="VCLibrarianTool"
+				OutputFile="..\..\lib\pjlib-util-$(TargetCPU)-wm6pro-vs$(VSVer)-$(ConfigurationName).lib"
+
 			/>
 			<Tool
Index: /pjproject/branches/projects/vs-reorg/pjlib-util/build/pjlib_util_test.vcproj
===================================================================
--- /pjproject/branches/projects/vs-reorg/pjlib-util/build/pjlib_util_test.vcproj	(revision 2629)
+++ /pjproject/branches/projects/vs-reorg/pjlib-util/build/pjlib_util_test.vcproj	(revision 2630)
@@ -62,4 +62,6 @@
 				Name="VCLinkerTool"
 				AdditionalDependencies="netapi32.lib mswsock.lib ws2_32.lib odbc32.lib odbccp32.lib oleaut32.lib ole32.lib"
+				OutputFile="..\..\bin\pjlib-util-test-$(TargetCPU)-$(PlatformName)-vs$(VSVer)-$(ConfigurationName).exe"
+
 			/>
 			<Tool
@@ -129,4 +131,6 @@
 				Name="VCLinkerTool"
 				AdditionalDependencies="ws2.lib"
+				OutputFile="..\..\bin\pjlib-util-test-$(TargetCPU)-wm6std-vs$(VSVer)-$(ConfigurationName).exe"
+
 			/>
 			<Tool
@@ -195,4 +199,6 @@
 				Name="VCLinkerTool"
 				AdditionalDependencies="netapi32.lib mswsock.lib ws2_32.lib odbc32.lib odbccp32.lib oleaut32.lib ole32.lib"
+				OutputFile="..\..\bin\pjlib-util-test-$(TargetCPU)-$(PlatformName)-vs$(VSVer)-$(ConfigurationName).exe"
+
 			/>
 			<Tool
@@ -262,4 +268,6 @@
 				Name="VCLinkerTool"
 				AdditionalDependencies="ws2.lib"
+				OutputFile="..\..\bin\pjlib-util-test-$(TargetCPU)-wm6std-vs$(VSVer)-$(ConfigurationName).exe"
+
 			/>
 			<Tool
@@ -328,4 +336,6 @@
 				Name="VCLinkerTool"
 				AdditionalDependencies="netapi32.lib mswsock.lib ws2_32.lib odbc32.lib odbccp32.lib oleaut32.lib ole32.lib"
+				OutputFile="..\..\bin\pjlib-util-test-$(TargetCPU)-$(PlatformName)-vs$(VSVer)-$(ConfigurationName).exe"
+
 			/>
 			<Tool
@@ -395,4 +405,6 @@
 				Name="VCLinkerTool"
 				AdditionalDependencies="ws2.lib"
+				OutputFile="..\..\bin\pjlib-util-test-$(TargetCPU)-wm6std-vs$(VSVer)-$(ConfigurationName).exe"
+
 			/>
 			<Tool
@@ -461,4 +473,6 @@
 				Name="VCLinkerTool"
 				AdditionalDependencies="netapi32.lib mswsock.lib ws2_32.lib odbc32.lib odbccp32.lib oleaut32.lib ole32.lib"
+				OutputFile="..\..\bin\pjlib-util-test-$(TargetCPU)-$(PlatformName)-vs$(VSVer)-$(ConfigurationName).exe"
+
 			/>
 			<Tool
@@ -528,4 +542,6 @@
 				Name="VCLinkerTool"
 				AdditionalDependencies="ws2.lib"
+				OutputFile="..\..\bin\pjlib-util-test-$(TargetCPU)-wm6std-vs$(VSVer)-$(ConfigurationName).exe"
+
 			/>
 			<Tool
@@ -594,4 +610,6 @@
 				Name="VCLinkerTool"
 				AdditionalDependencies="netapi32.lib mswsock.lib ws2_32.lib odbc32.lib odbccp32.lib oleaut32.lib ole32.lib"
+				OutputFile="..\..\bin\pjlib-util-test-$(TargetCPU)-$(PlatformName)-vs$(VSVer)-$(ConfigurationName).exe"
+
 			/>
 			<Tool
@@ -661,4 +679,6 @@
 				Name="VCLinkerTool"
 				AdditionalDependencies="ws2.lib"
+				OutputFile="..\..\bin\pjlib-util-test-$(TargetCPU)-wm6std-vs$(VSVer)-$(ConfigurationName).exe"
+
 			/>
 			<Tool
@@ -727,4 +747,6 @@
 				Name="VCLinkerTool"
 				AdditionalDependencies="netapi32.lib mswsock.lib ws2_32.lib odbc32.lib odbccp32.lib oleaut32.lib ole32.lib"
+				OutputFile="..\..\bin\pjlib-util-test-$(TargetCPU)-$(PlatformName)-vs$(VSVer)-$(ConfigurationName).exe"
+
 			/>
 			<Tool
@@ -794,4 +816,6 @@
 				Name="VCLinkerTool"
 				AdditionalDependencies="ws2.lib"
+				OutputFile="..\..\bin\pjlib-util-test-$(TargetCPU)-wm6std-vs$(VSVer)-$(ConfigurationName).exe"
+
 			/>
 			<Tool
@@ -864,4 +888,6 @@
 				AdditionalDependencies="ws2.lib"
 				TargetMachine="0"
+				OutputFile="..\..\bin\pjlib-util-test-$(TargetCPU)-wm6pro-vs$(VSVer)-$(ConfigurationName).exe"
+
 			/>
 			<Tool
@@ -934,4 +960,6 @@
 				AdditionalDependencies="ws2.lib"
 				TargetMachine="0"
+				OutputFile="..\..\bin\pjlib-util-test-$(TargetCPU)-wm6pro-vs$(VSVer)-$(ConfigurationName).exe"
+
 			/>
 			<Tool
@@ -1004,4 +1032,6 @@
 				AdditionalDependencies="ws2.lib"
 				TargetMachine="0"
+				OutputFile="..\..\bin\pjlib-util-test-$(TargetCPU)-wm6pro-vs$(VSVer)-$(ConfigurationName).exe"
+
 			/>
 			<Tool
@@ -1074,4 +1104,6 @@
 				AdditionalDependencies="ws2.lib"
 				TargetMachine="0"
+				OutputFile="..\..\bin\pjlib-util-test-$(TargetCPU)-wm6pro-vs$(VSVer)-$(ConfigurationName).exe"
+
 			/>
 			<Tool
@@ -1144,4 +1176,6 @@
 				AdditionalDependencies="ws2.lib"
 				TargetMachine="0"
+				OutputFile="..\..\bin\pjlib-util-test-$(TargetCPU)-wm6pro-vs$(VSVer)-$(ConfigurationName).exe"
+
 			/>
 			<Tool
@@ -1214,4 +1248,6 @@
 				AdditionalDependencies="ws2.lib"
 				TargetMachine="0"
+				OutputFile="..\..\bin\pjlib-util-test-$(TargetCPU)-wm6pro-vs$(VSVer)-$(ConfigurationName).exe"
+
 			/>
 			<Tool
Index: /pjproject/branches/projects/vs-reorg/pjlib/build/pjlib.vcproj
===================================================================
--- /pjproject/branches/projects/vs-reorg/pjlib/build/pjlib.vcproj	(revision 2629)
+++ /pjproject/branches/projects/vs-reorg/pjlib/build/pjlib.vcproj	(revision 2630)
@@ -127,4 +127,6 @@
 			<Tool
 				Name="VCLibrarianTool"
+				OutputFile="..\..\lib\$(ProjectName)-$(TargetCPU)-wm6std-vs$(VSVer)-$(ConfigurationName).lib"
+
 			/>
 			<Tool
@@ -196,4 +198,6 @@
 			<Tool
 				Name="VCLibrarianTool"
+				OutputFile="..\..\lib\$(ProjectName)-$(TargetCPU)-wm6pro-vs$(VSVer)-$(ConfigurationName).lib"
+
 			/>
 			<Tool
@@ -327,4 +331,6 @@
 			<Tool
 				Name="VCLibrarianTool"
+				OutputFile="..\..\lib\$(ProjectName)-$(TargetCPU)-wm6std-vs$(VSVer)-$(ConfigurationName).lib"
+
 			/>
 			<Tool
@@ -396,4 +402,6 @@
 			<Tool
 				Name="VCLibrarianTool"
+				OutputFile="..\..\lib\$(ProjectName)-$(TargetCPU)-wm6pro-vs$(VSVer)-$(ConfigurationName).lib"
+
 			/>
 			<Tool
@@ -527,4 +535,6 @@
 			<Tool
 				Name="VCLibrarianTool"
+				OutputFile="..\..\lib\$(ProjectName)-$(TargetCPU)-wm6std-vs$(VSVer)-$(ConfigurationName).lib"
+
 			/>
 			<Tool
@@ -596,4 +606,6 @@
 			<Tool
 				Name="VCLibrarianTool"
+				OutputFile="..\..\lib\$(ProjectName)-$(TargetCPU)-wm6pro-vs$(VSVer)-$(ConfigurationName).lib"
+
 			/>
 			<Tool
@@ -727,4 +739,6 @@
 			<Tool
 				Name="VCLibrarianTool"
+				OutputFile="..\..\lib\$(ProjectName)-$(TargetCPU)-wm6std-vs$(VSVer)-$(ConfigurationName).lib"
+
 			/>
 			<Tool
@@ -796,4 +810,6 @@
 			<Tool
 				Name="VCLibrarianTool"
+				OutputFile="..\..\lib\$(ProjectName)-$(TargetCPU)-wm6pro-vs$(VSVer)-$(ConfigurationName).lib"
+
 			/>
 			<Tool
@@ -927,4 +943,6 @@
 			<Tool
 				Name="VCLibrarianTool"
+				OutputFile="..\..\lib\$(ProjectName)-$(TargetCPU)-wm6std-vs$(VSVer)-$(ConfigurationName).lib"
+
 			/>
 			<Tool
@@ -996,4 +1014,6 @@
 			<Tool
 				Name="VCLibrarianTool"
+				OutputFile="..\..\lib\$(ProjectName)-$(TargetCPU)-wm6pro-vs$(VSVer)-$(ConfigurationName).lib"
+
 			/>
 			<Tool
@@ -1127,4 +1147,6 @@
 			<Tool
 				Name="VCLibrarianTool"
+				OutputFile="..\..\lib\$(ProjectName)-$(TargetCPU)-wm6std-vs$(VSVer)-$(ConfigurationName).lib"
+
 			/>
 			<Tool
@@ -1196,4 +1218,6 @@
 			<Tool
 				Name="VCLibrarianTool"
+				OutputFile="..\..\lib\$(ProjectName)-$(TargetCPU)-wm6pro-vs$(VSVer)-$(ConfigurationName).lib"
+
 			/>
 			<Tool
Index: /pjproject/branches/projects/vs-reorg/pjlib/build/pjlib_test.vcproj
===================================================================
--- /pjproject/branches/projects/vs-reorg/pjlib/build/pjlib_test.vcproj	(revision 2629)
+++ /pjproject/branches/projects/vs-reorg/pjlib/build/pjlib_test.vcproj	(revision 2630)
@@ -62,4 +62,6 @@
 				Name="VCLinkerTool"
 				AdditionalDependencies="netapi32.lib mswsock.lib ws2_32.lib odbc32.lib odbccp32.lib oleaut32.lib ole32.lib"
+				OutputFile="..\..\bin\pjlib-test-$(TargetCPU)-$(PlatformName)-vs$(VSVer)-$(ConfigurationName).exe"
+
 			/>
 			<Tool
@@ -129,4 +131,6 @@
 				Name="VCLinkerTool"
 				AdditionalDependencies="ws2.lib"
+				OutputFile="..\..\bin\pjlib-test-$(TargetCPU)-wm6std-vs$(VSVer)-$(ConfigurationName).exe"
+
 			/>
 			<Tool
@@ -195,4 +199,6 @@
 				Name="VCLinkerTool"
 				AdditionalDependencies="netapi32.lib mswsock.lib ws2_32.lib odbc32.lib odbccp32.lib oleaut32.lib ole32.lib"
+				OutputFile="..\..\bin\pjlib-test-$(TargetCPU)-$(PlatformName)-vs$(VSVer)-$(ConfigurationName).exe"
+
 			/>
 			<Tool
@@ -262,4 +268,6 @@
 				Name="VCLinkerTool"
 				AdditionalDependencies="ws2.lib"
+				OutputFile="..\..\bin\pjlib-test-$(TargetCPU)-wm6std-vs$(VSVer)-$(ConfigurationName).exe"
+
 			/>
 			<Tool
@@ -328,4 +336,6 @@
 				Name="VCLinkerTool"
 				AdditionalDependencies="netapi32.lib mswsock.lib ws2_32.lib odbc32.lib odbccp32.lib oleaut32.lib ole32.lib"
+				OutputFile="..\..\bin\pjlib-test-$(TargetCPU)-$(PlatformName)-vs$(VSVer)-$(ConfigurationName).exe"
+
 			/>
 			<Tool
@@ -395,4 +405,6 @@
 				Name="VCLinkerTool"
 				AdditionalDependencies="ws2.lib"
+				OutputFile="..\..\bin\pjlib-test-$(TargetCPU)-wm6std-vs$(VSVer)-$(ConfigurationName).exe"
+
 			/>
 			<Tool
@@ -461,4 +473,6 @@
 				Name="VCLinkerTool"
 				AdditionalDependencies="netapi32.lib mswsock.lib ws2_32.lib odbc32.lib odbccp32.lib oleaut32.lib ole32.lib"
+				OutputFile="..\..\bin\pjlib-test-$(TargetCPU)-$(PlatformName)-vs$(VSVer)-$(ConfigurationName).exe"
+
 			/>
 			<Tool
@@ -528,4 +542,6 @@
 				Name="VCLinkerTool"
 				AdditionalDependencies="ws2.lib"
+				OutputFile="..\..\bin\pjlib-test-$(TargetCPU)-wm6std-vs$(VSVer)-$(ConfigurationName).exe"
+
 			/>
 			<Tool
@@ -594,4 +610,6 @@
 				Name="VCLinkerTool"
 				AdditionalDependencies="netapi32.lib mswsock.lib ws2_32.lib odbc32.lib odbccp32.lib oleaut32.lib ole32.lib"
+				OutputFile="..\..\bin\pjlib-test-$(TargetCPU)-$(PlatformName)-vs$(VSVer)-$(ConfigurationName).exe"
+
 			/>
 			<Tool
@@ -661,4 +679,6 @@
 				Name="VCLinkerTool"
 				AdditionalDependencies="ws2.lib"
+				OutputFile="..\..\bin\pjlib-test-$(TargetCPU)-wm6std-vs$(VSVer)-$(ConfigurationName).exe"
+
 			/>
 			<Tool
@@ -727,4 +747,6 @@
 				Name="VCLinkerTool"
 				AdditionalDependencies="netapi32.lib mswsock.lib ws2_32.lib odbc32.lib odbccp32.lib oleaut32.lib ole32.lib"
+				OutputFile="..\..\bin\pjlib-test-$(TargetCPU)-$(PlatformName)-vs$(VSVer)-$(ConfigurationName).exe"
+
 			/>
 			<Tool
@@ -794,4 +816,6 @@
 				Name="VCLinkerTool"
 				AdditionalDependencies="ws2.lib"
+				OutputFile="..\..\bin\pjlib-test-$(TargetCPU)-wm6std-vs$(VSVer)-$(ConfigurationName).exe"
+
 			/>
 			<Tool
@@ -864,4 +888,6 @@
 				AdditionalDependencies="ws2.lib"
 				TargetMachine="0"
+				OutputFile="..\..\bin\pjlib-test-$(TargetCPU)-wm6pro-vs$(VSVer)-$(ConfigurationName).exe"
+
 			/>
 			<Tool
@@ -934,4 +960,6 @@
 				AdditionalDependencies="ws2.lib"
 				TargetMachine="0"
+				OutputFile="..\..\bin\pjlib-test-$(TargetCPU)-wm6pro-vs$(VSVer)-$(ConfigurationName).exe"
+
 			/>
 			<Tool
@@ -1004,4 +1032,6 @@
 				AdditionalDependencies="ws2.lib"
 				TargetMachine="0"
+				OutputFile="..\..\bin\pjlib-test-$(TargetCPU)-wm6pro-vs$(VSVer)-$(ConfigurationName).exe"
+
 			/>
 			<Tool
@@ -1074,4 +1104,6 @@
 				AdditionalDependencies="ws2.lib"
 				TargetMachine="0"
+				OutputFile="..\..\bin\pjlib-test-$(TargetCPU)-wm6pro-vs$(VSVer)-$(ConfigurationName).exe"
+
 			/>
 			<Tool
@@ -1144,4 +1176,6 @@
 				AdditionalDependencies="ws2.lib"
 				TargetMachine="0"
+				OutputFile="..\..\bin\pjlib-test-$(TargetCPU)-wm6pro-vs$(VSVer)-$(ConfigurationName).exe"
+
 			/>
 			<Tool
@@ -1214,4 +1248,6 @@
 				AdditionalDependencies="ws2.lib"
 				TargetMachine="0"
+				OutputFile="..\..\bin\pjlib-test-$(TargetCPU)-wm6pro-vs$(VSVer)-$(ConfigurationName).exe"
+
 			/>
 			<Tool
Index: /pjproject/branches/projects/vs-reorg/pjmedia/build/pjmedia.vcproj
===================================================================
--- /pjproject/branches/projects/vs-reorg/pjmedia/build/pjmedia.vcproj	(revision 2629)
+++ /pjproject/branches/projects/vs-reorg/pjmedia/build/pjmedia.vcproj	(revision 2630)
@@ -127,4 +127,6 @@
 			<Tool
 				Name="VCLibrarianTool"
+				OutputFile="..\..\lib\$(ProjectName)-$(TargetCPU)-wm6std-vs$(VSVer)-$(ConfigurationName).lib"
+
 			/>
 			<Tool
@@ -196,4 +198,6 @@
 			<Tool
 				Name="VCLibrarianTool"
+				OutputFile="..\..\lib\$(ProjectName)-$(TargetCPU)-wm6pro-vs$(VSVer)-$(ConfigurationName).lib"
+
 			/>
 			<Tool
@@ -327,4 +331,6 @@
 			<Tool
 				Name="VCLibrarianTool"
+				OutputFile="..\..\lib\$(ProjectName)-$(TargetCPU)-wm6std-vs$(VSVer)-$(ConfigurationName).lib"
+
 			/>
 			<Tool
@@ -396,4 +402,6 @@
 			<Tool
 				Name="VCLibrarianTool"
+				OutputFile="..\..\lib\$(ProjectName)-$(TargetCPU)-wm6pro-vs$(VSVer)-$(ConfigurationName).lib"
+
 			/>
 			<Tool
@@ -527,4 +535,6 @@
 			<Tool
 				Name="VCLibrarianTool"
+				OutputFile="..\..\lib\$(ProjectName)-$(TargetCPU)-wm6std-vs$(VSVer)-$(ConfigurationName).lib"
+
 			/>
 			<Tool
@@ -596,4 +606,6 @@
 			<Tool
 				Name="VCLibrarianTool"
+				OutputFile="..\..\lib\$(ProjectName)-$(TargetCPU)-wm6pro-vs$(VSVer)-$(ConfigurationName).lib"
+
 			/>
 			<Tool
@@ -727,4 +739,6 @@
 			<Tool
 				Name="VCLibrarianTool"
+				OutputFile="..\..\lib\$(ProjectName)-$(TargetCPU)-wm6std-vs$(VSVer)-$(ConfigurationName).lib"
+
 			/>
 			<Tool
@@ -796,4 +810,6 @@
 			<Tool
 				Name="VCLibrarianTool"
+				OutputFile="..\..\lib\$(ProjectName)-$(TargetCPU)-wm6pro-vs$(VSVer)-$(ConfigurationName).lib"
+
 			/>
 			<Tool
@@ -927,4 +943,6 @@
 			<Tool
 				Name="VCLibrarianTool"
+				OutputFile="..\..\lib\$(ProjectName)-$(TargetCPU)-wm6std-vs$(VSVer)-$(ConfigurationName).lib"
+
 			/>
 			<Tool
@@ -996,4 +1014,6 @@
 			<Tool
 				Name="VCLibrarianTool"
+				OutputFile="..\..\lib\$(ProjectName)-$(TargetCPU)-wm6pro-vs$(VSVer)-$(ConfigurationName).lib"
+
 			/>
 			<Tool
@@ -1127,4 +1147,6 @@
 			<Tool
 				Name="VCLibrarianTool"
+				OutputFile="..\..\lib\$(ProjectName)-$(TargetCPU)-wm6std-vs$(VSVer)-$(ConfigurationName).lib"
+
 			/>
 			<Tool
@@ -1196,4 +1218,6 @@
 			<Tool
 				Name="VCLibrarianTool"
+				OutputFile="..\..\lib\$(ProjectName)-$(TargetCPU)-wm6pro-vs$(VSVer)-$(ConfigurationName).lib"
+
 			/>
 			<Tool
Index: /pjproject/branches/projects/vs-reorg/pjmedia/build/pjmedia_audiodev.vcproj
===================================================================
--- /pjproject/branches/projects/vs-reorg/pjmedia/build/pjmedia_audiodev.vcproj	(revision 2629)
+++ /pjproject/branches/projects/vs-reorg/pjmedia/build/pjmedia_audiodev.vcproj	(revision 2630)
@@ -66,4 +66,6 @@
 			<Tool
 				Name="VCLibrarianTool"
+				OutputFile="..\..\lib\pjmedia-audiodev-$(TargetCPU)-$(PlatformName)-vs$(VSVer)-$(ConfigurationName).lib"
+
 			/>
 			<Tool
@@ -128,4 +130,6 @@
 			<Tool
 				Name="VCLibrarianTool"
+				OutputFile="..\..\lib\pjmedia-audiodev-$(TargetCPU)-wm6std-vs$(VSVer)-$(ConfigurationName).lib"
+
 			/>
 			<Tool
@@ -198,4 +202,6 @@
 			<Tool
 				Name="VCLibrarianTool"
+				OutputFile="..\..\lib\pjmedia-audiodev-$(TargetCPU)-wm6pro-vs$(VSVer)-$(ConfigurationName).lib"
+
 			/>
 			<Tool
@@ -268,4 +274,6 @@
 			<Tool
 				Name="VCLibrarianTool"
+				OutputFile="..\..\lib\pjmedia-audiodev-$(TargetCPU)-$(PlatformName)-vs$(VSVer)-$(ConfigurationName).lib"
+
 			/>
 			<Tool
@@ -330,4 +338,6 @@
 			<Tool
 				Name="VCLibrarianTool"
+				OutputFile="..\..\lib\pjmedia-audiodev-$(TargetCPU)-wm6std-vs$(VSVer)-$(ConfigurationName).lib"
+
 			/>
 			<Tool
@@ -400,4 +410,6 @@
 			<Tool
 				Name="VCLibrarianTool"
+				OutputFile="..\..\lib\pjmedia-audiodev-$(TargetCPU)-wm6pro-vs$(VSVer)-$(ConfigurationName).lib"
+
 			/>
 			<Tool
@@ -470,4 +482,6 @@
 			<Tool
 				Name="VCLibrarianTool"
+				OutputFile="..\..\lib\pjmedia-audiodev-$(TargetCPU)-$(PlatformName)-vs$(VSVer)-$(ConfigurationName).lib"
+
 			/>
 			<Tool
@@ -532,4 +546,6 @@
 			<Tool
 				Name="VCLibrarianTool"
+				OutputFile="..\..\lib\pjmedia-audiodev-$(TargetCPU)-wm6std-vs$(VSVer)-$(ConfigurationName).lib"
+
 			/>
 			<Tool
@@ -602,4 +618,6 @@
 			<Tool
 				Name="VCLibrarianTool"
+				OutputFile="..\..\lib\pjmedia-audiodev-$(TargetCPU)-wm6pro-vs$(VSVer)-$(ConfigurationName).lib"
+
 			/>
 			<Tool
@@ -672,4 +690,6 @@
 			<Tool
 				Name="VCLibrarianTool"
+				OutputFile="..\..\lib\pjmedia-audiodev-$(TargetCPU)-$(PlatformName)-vs$(VSVer)-$(ConfigurationName).lib"
+
 			/>
 			<Tool
@@ -734,4 +754,6 @@
 			<Tool
 				Name="VCLibrarianTool"
+				OutputFile="..\..\lib\pjmedia-audiodev-$(TargetCPU)-wm6std-vs$(VSVer)-$(ConfigurationName).lib"
+
 			/>
 			<Tool
@@ -804,4 +826,6 @@
 			<Tool
 				Name="VCLibrarianTool"
+				OutputFile="..\..\lib\pjmedia-audiodev-$(TargetCPU)-wm6pro-vs$(VSVer)-$(ConfigurationName).lib"
+
 			/>
 			<Tool
@@ -874,4 +898,6 @@
 			<Tool
 				Name="VCLibrarianTool"
+				OutputFile="..\..\lib\pjmedia-audiodev-$(TargetCPU)-$(PlatformName)-vs$(VSVer)-$(ConfigurationName).lib"
+
 			/>
 			<Tool
@@ -936,4 +962,6 @@
 			<Tool
 				Name="VCLibrarianTool"
+				OutputFile="..\..\lib\pjmedia-audiodev-$(TargetCPU)-wm6std-vs$(VSVer)-$(ConfigurationName).lib"
+
 			/>
 			<Tool
@@ -1006,4 +1034,6 @@
 			<Tool
 				Name="VCLibrarianTool"
+				OutputFile="..\..\lib\pjmedia-audiodev-$(TargetCPU)-wm6pro-vs$(VSVer)-$(ConfigurationName).lib"
+
 			/>
 			<Tool
@@ -1076,4 +1106,6 @@
 			<Tool
 				Name="VCLibrarianTool"
+				OutputFile="..\..\lib\pjmedia-audiodev-$(TargetCPU)-$(PlatformName)-vs$(VSVer)-$(ConfigurationName).lib"
+
 			/>
 			<Tool
@@ -1138,4 +1170,6 @@
 			<Tool
 				Name="VCLibrarianTool"
+				OutputFile="..\..\lib\pjmedia-audiodev-$(TargetCPU)-wm6std-vs$(VSVer)-$(ConfigurationName).lib"
+
 			/>
 			<Tool
@@ -1208,4 +1242,6 @@
 			<Tool
 				Name="VCLibrarianTool"
+				OutputFile="..\..\lib\pjmedia-audiodev-$(TargetCPU)-wm6pro-vs$(VSVer)-$(ConfigurationName).lib"
+
 			/>
 			<Tool
Index: /pjproject/branches/projects/vs-reorg/pjmedia/build/pjmedia_codec.vcproj
===================================================================
--- /pjproject/branches/projects/vs-reorg/pjmedia/build/pjmedia_codec.vcproj	(revision 2629)
+++ /pjproject/branches/projects/vs-reorg/pjmedia/build/pjmedia_codec.vcproj	(revision 2630)
@@ -66,4 +66,6 @@
 			<Tool
 				Name="VCLibrarianTool"
+				OutputFile="..\..\lib\pjmedia-codec-$(TargetCPU)-$(PlatformName)-vs$(VSVer)-$(ConfigurationName).lib"
+
 			/>
 			<Tool
@@ -127,4 +129,6 @@
 			<Tool
 				Name="VCLibrarianTool"
+				OutputFile="..\..\lib\pjmedia-codec-$(TargetCPU)-wm6std-vs$(VSVer)-$(ConfigurationName).lib"
+
 			/>
 			<Tool
@@ -196,4 +200,6 @@
 			<Tool
 				Name="VCLibrarianTool"
+				OutputFile="..\..\lib\pjmedia-codec-$(TargetCPU)-wm6pro-vs$(VSVer)-$(ConfigurationName).lib"
+
 			/>
 			<Tool
@@ -266,4 +272,6 @@
 			<Tool
 				Name="VCLibrarianTool"
+				OutputFile="..\..\lib\pjmedia-codec-$(TargetCPU)-$(PlatformName)-vs$(VSVer)-$(ConfigurationName).lib"
+
 			/>
 			<Tool
@@ -327,4 +335,6 @@
 			<Tool
 				Name="VCLibrarianTool"
+				OutputFile="..\..\lib\pjmedia-codec-$(TargetCPU)-wm6std-vs$(VSVer)-$(ConfigurationName).lib"
+
 			/>
 			<Tool
@@ -396,4 +406,6 @@
 			<Tool
 				Name="VCLibrarianTool"
+				OutputFile="..\..\lib\pjmedia-codec-$(TargetCPU)-wm6pro-vs$(VSVer)-$(ConfigurationName).lib"
+
 			/>
 			<Tool
@@ -466,4 +478,6 @@
 			<Tool
 				Name="VCLibrarianTool"
+				OutputFile="..\..\lib\pjmedia-codec-$(TargetCPU)-$(PlatformName)-vs$(VSVer)-$(ConfigurationName).lib"
+
 			/>
 			<Tool
@@ -527,4 +541,6 @@
 			<Tool
 				Name="VCLibrarianTool"
+				OutputFile="..\..\lib\pjmedia-codec-$(TargetCPU)-wm6std-vs$(VSVer)-$(ConfigurationName).lib"
+
 			/>
 			<Tool
@@ -596,4 +612,6 @@
 			<Tool
 				Name="VCLibrarianTool"
+				OutputFile="..\..\lib\pjmedia-codec-$(TargetCPU)-wm6pro-vs$(VSVer)-$(ConfigurationName).lib"
+
 			/>
 			<Tool
@@ -666,4 +684,6 @@
 			<Tool
 				Name="VCLibrarianTool"
+				OutputFile="..\..\lib\pjmedia-codec-$(TargetCPU)-$(PlatformName)-vs$(VSVer)-$(ConfigurationName).lib"
+
 			/>
 			<Tool
@@ -727,4 +747,6 @@
 			<Tool
 				Name="VCLibrarianTool"
+				OutputFile="..\..\lib\pjmedia-codec-$(TargetCPU)-wm6std-vs$(VSVer)-$(ConfigurationName).lib"
+
 			/>
 			<Tool
@@ -796,4 +818,6 @@
 			<Tool
 				Name="VCLibrarianTool"
+				OutputFile="..\..\lib\pjmedia-codec-$(TargetCPU)-wm6pro-vs$(VSVer)-$(ConfigurationName).lib"
+
 			/>
 			<Tool
@@ -866,4 +890,6 @@
 			<Tool
 				Name="VCLibrarianTool"
+				OutputFile="..\..\lib\pjmedia-codec-$(TargetCPU)-$(PlatformName)-vs$(VSVer)-$(ConfigurationName).lib"
+
 			/>
 			<Tool
@@ -927,4 +953,6 @@
 			<Tool
 				Name="VCLibrarianTool"
+				OutputFile="..\..\lib\pjmedia-codec-$(TargetCPU)-wm6std-vs$(VSVer)-$(ConfigurationName).lib"
+
 			/>
 			<Tool
@@ -996,4 +1024,6 @@
 			<Tool
 				Name="VCLibrarianTool"
+				OutputFile="..\..\lib\pjmedia-codec-$(TargetCPU)-wm6pro-vs$(VSVer)-$(ConfigurationName).lib"
+
 			/>
 			<Tool
@@ -1066,4 +1096,6 @@
 			<Tool
 				Name="VCLibrarianTool"
+				OutputFile="..\..\lib\pjmedia-codec-$(TargetCPU)-$(PlatformName)-vs$(VSVer)-$(ConfigurationName).lib"
+
 			/>
 			<Tool
@@ -1127,4 +1159,6 @@
 			<Tool
 				Name="VCLibrarianTool"
+				OutputFile="..\..\lib\pjmedia-codec-$(TargetCPU)-wm6std-vs$(VSVer)-$(ConfigurationName).lib"
+
 			/>
 			<Tool
@@ -1196,4 +1230,6 @@
 			<Tool
 				Name="VCLibrarianTool"
+				OutputFile="..\..\lib\pjmedia-codec-$(TargetCPU)-wm6pro-vs$(VSVer)-$(ConfigurationName).lib"
+
 			/>
 			<Tool
Index: /pjproject/branches/projects/vs-reorg/pjmedia/build/pjmedia_test.vcproj
===================================================================
--- /pjproject/branches/projects/vs-reorg/pjmedia/build/pjmedia_test.vcproj	(revision 2629)
+++ /pjproject/branches/projects/vs-reorg/pjmedia/build/pjmedia_test.vcproj	(revision 2630)
@@ -62,4 +62,6 @@
 				Name="VCLinkerTool"
 				AdditionalDependencies="dsound.lib dxguid.lib netapi32.lib mswsock.lib ws2_32.lib odbc32.lib odbccp32.lib  ole32.lib user32.lib"
+				OutputFile="..\..\bin\pjmedia-test-$(TargetCPU)-$(PlatformName)-vs$(VSVer)-$(ConfigurationName).exe"
+
 			/>
 			<Tool
@@ -129,4 +131,6 @@
 				Name="VCLinkerTool"
 				AdditionalDependencies="ws2.lib"
+				OutputFile="..\..\bin\pjmedia-test-$(TargetCPU)-wm6std-vs$(VSVer)-$(ConfigurationName).exe"
+
 			/>
 			<Tool
@@ -195,4 +199,6 @@
 				Name="VCLinkerTool"
 				AdditionalDependencies="dsound.lib dxguid.lib netapi32.lib mswsock.lib ws2_32.lib odbc32.lib odbccp32.lib ole32.lib user32.lib"
+				OutputFile="..\..\bin\pjmedia-test-$(TargetCPU)-$(PlatformName)-vs$(VSVer)-$(ConfigurationName).exe"
+
 			/>
 			<Tool
@@ -262,4 +268,6 @@
 				Name="VCLinkerTool"
 				AdditionalDependencies="ws2.lib"
+				OutputFile="..\..\bin\pjmedia-test-$(TargetCPU)-wm6std-vs$(VSVer)-$(ConfigurationName).exe"
+
 			/>
 			<Tool
@@ -328,4 +336,6 @@
 				Name="VCLinkerTool"
 				AdditionalDependencies="dsound.lib dxguid.lib netapi32.lib mswsock.lib ws2_32.lib odbc32.lib odbccp32.lib  ole32.lib user32.lib"
+				OutputFile="..\..\bin\pjmedia-test-$(TargetCPU)-$(PlatformName)-vs$(VSVer)-$(ConfigurationName).exe"
+
 			/>
 			<Tool
@@ -395,4 +405,6 @@
 				Name="VCLinkerTool"
 				AdditionalDependencies="ws2.lib"
+				OutputFile="..\..\bin\pjmedia-test-$(TargetCPU)-wm6std-vs$(VSVer)-$(ConfigurationName).exe"
+
 			/>
 			<Tool
@@ -461,4 +473,6 @@
 				Name="VCLinkerTool"
 				AdditionalDependencies="dsound.lib dxguid.lib netapi32.lib mswsock.lib ws2_32.lib odbc32.lib odbccp32.lib ole32.lib user32.lib"
+				OutputFile="..\..\bin\pjmedia-test-$(TargetCPU)-$(PlatformName)-vs$(VSVer)-$(ConfigurationName).exe"
+
 			/>
 			<Tool
@@ -528,4 +542,6 @@
 				Name="VCLinkerTool"
 				AdditionalDependencies="ws2.lib"
+				OutputFile="..\..\bin\pjmedia-test-$(TargetCPU)-wm6std-vs$(VSVer)-$(ConfigurationName).exe"
+
 			/>
 			<Tool
@@ -594,4 +610,6 @@
 				Name="VCLinkerTool"
 				AdditionalDependencies="dsound.lib dxguid.lib netapi32.lib mswsock.lib ws2_32.lib odbc32.lib odbccp32.lib  ole32.lib user32.lib"
+				OutputFile="..\..\bin\pjmedia-test-$(TargetCPU)-$(PlatformName)-vs$(VSVer)-$(ConfigurationName).exe"
+
 			/>
 			<Tool
@@ -661,4 +679,6 @@
 				Name="VCLinkerTool"
 				AdditionalDependencies="ws2.lib"
+				OutputFile="..\..\bin\pjmedia-test-$(TargetCPU)-wm6std-vs$(VSVer)-$(ConfigurationName).exe"
+
 			/>
 			<Tool
@@ -727,4 +747,6 @@
 				Name="VCLinkerTool"
 				AdditionalDependencies="dsound.lib dxguid.lib netapi32.lib mswsock.lib ws2_32.lib odbc32.lib odbccp32.lib ole32.lib user32.lib"
+				OutputFile="..\..\bin\pjmedia-test-$(TargetCPU)-$(PlatformName)-vs$(VSVer)-$(ConfigurationName).exe"
+
 			/>
 			<Tool
@@ -794,4 +816,6 @@
 				Name="VCLinkerTool"
 				AdditionalDependencies="ws2.lib"
+				OutputFile="..\..\bin\pjmedia-test-$(TargetCPU)-wm6std-vs$(VSVer)-$(ConfigurationName).exe"
+
 			/>
 			<Tool
@@ -864,4 +888,6 @@
 				AdditionalDependencies="ws2.lib"
 				TargetMachine="0"
+				OutputFile="..\..\bin\pjmedia-test-$(TargetCPU)-wm6pro-vs$(VSVer)-$(ConfigurationName).exe"
+
 			/>
 			<Tool
@@ -934,4 +960,6 @@
 				AdditionalDependencies="ws2.lib"
 				TargetMachine="0"
+				OutputFile="..\..\bin\pjmedia-test-$(TargetCPU)-wm6pro-vs$(VSVer)-$(ConfigurationName).exe"
+
 			/>
 			<Tool
@@ -1004,4 +1032,6 @@
 				AdditionalDependencies="ws2.lib"
 				TargetMachine="0"
+				OutputFile="..\..\bin\pjmedia-test-$(TargetCPU)-wm6pro-vs$(VSVer)-$(ConfigurationName).exe"
+
 			/>
 			<Tool
@@ -1074,4 +1104,6 @@
 				AdditionalDependencies="ws2.lib"
 				TargetMachine="0"
+				OutputFile="..\..\bin\pjmedia-test-$(TargetCPU)-wm6pro-vs$(VSVer)-$(ConfigurationName).exe"
+
 			/>
 			<Tool
@@ -1144,4 +1176,6 @@
 				AdditionalDependencies="ws2.lib"
 				TargetMachine="0"
+				OutputFile="..\..\bin\pjmedia-test-$(TargetCPU)-wm6pro-vs$(VSVer)-$(ConfigurationName).exe"
+
 			/>
 			<Tool
@@ -1214,4 +1248,6 @@
 				AdditionalDependencies="ws2.lib"
 				TargetMachine="0"
+				OutputFile="..\..\bin\pjmedia-test-$(TargetCPU)-wm6pro-vs$(VSVer)-$(ConfigurationName).exe"
+
 			/>
 			<Tool
Index: /pjproject/branches/projects/vs-reorg/pjnath/build/pjnath.vcproj
===================================================================
--- /pjproject/branches/projects/vs-reorg/pjnath/build/pjnath.vcproj	(revision 2629)
+++ /pjproject/branches/projects/vs-reorg/pjnath/build/pjnath.vcproj	(revision 2630)
@@ -127,4 +127,6 @@
 			<Tool
 				Name="VCLibrarianTool"
+				OutputFile="..\..\lib\$(ProjectName)-$(TargetCPU)-wm6std-vs$(VSVer)-$(ConfigurationName).lib"
+
 			/>
 			<Tool
@@ -196,4 +198,6 @@
 			<Tool
 				Name="VCLibrarianTool"
+				OutputFile="..\..\lib\$(ProjectName)-$(TargetCPU)-wm6pro-vs$(VSVer)-$(ConfigurationName).lib"
+
 			/>
 			<Tool
@@ -327,4 +331,6 @@
 			<Tool
 				Name="VCLibrarianTool"
+				OutputFile="..\..\lib\$(ProjectName)-$(TargetCPU)-wm6std-vs$(VSVer)-$(ConfigurationName).lib"
+
 			/>
 			<Tool
@@ -396,4 +402,6 @@
 			<Tool
 				Name="VCLibrarianTool"
+				OutputFile="..\..\lib\$(ProjectName)-$(TargetCPU)-wm6pro-vs$(VSVer)-$(ConfigurationName).lib"
+
 			/>
 			<Tool
@@ -527,4 +535,6 @@
 			<Tool
 				Name="VCLibrarianTool"
+				OutputFile="..\..\lib\$(ProjectName)-$(TargetCPU)-wm6std-vs$(VSVer)-$(ConfigurationName).lib"
+
 			/>
 			<Tool
@@ -596,4 +606,6 @@
 			<Tool
 				Name="VCLibrarianTool"
+				OutputFile="..\..\lib\$(ProjectName)-$(TargetCPU)-wm6pro-vs$(VSVer)-$(ConfigurationName).lib"
+
 			/>
 			<Tool
@@ -727,4 +739,6 @@
 			<Tool
 				Name="VCLibrarianTool"
+				OutputFile="..\..\lib\$(ProjectName)-$(TargetCPU)-wm6std-vs$(VSVer)-$(ConfigurationName).lib"
+
 			/>
 			<Tool
@@ -796,4 +810,6 @@
 			<Tool
 				Name="VCLibrarianTool"
+				OutputFile="..\..\lib\$(ProjectName)-$(TargetCPU)-wm6pro-vs$(VSVer)-$(ConfigurationName).lib"
+
 			/>
 			<Tool
@@ -927,4 +943,6 @@
 			<Tool
 				Name="VCLibrarianTool"
+				OutputFile="..\..\lib\$(ProjectName)-$(TargetCPU)-wm6std-vs$(VSVer)-$(ConfigurationName).lib"
+
 			/>
 			<Tool
@@ -996,4 +1014,6 @@
 			<Tool
 				Name="VCLibrarianTool"
+				OutputFile="..\..\lib\$(ProjectName)-$(TargetCPU)-wm6pro-vs$(VSVer)-$(ConfigurationName).lib"
+
 			/>
 			<Tool
@@ -1127,4 +1147,6 @@
 			<Tool
 				Name="VCLibrarianTool"
+				OutputFile="..\..\lib\$(ProjectName)-$(TargetCPU)-wm6std-vs$(VSVer)-$(ConfigurationName).lib"
+
 			/>
 			<Tool
@@ -1196,4 +1218,6 @@
 			<Tool
 				Name="VCLibrarianTool"
+				OutputFile="..\..\lib\$(ProjectName)-$(TargetCPU)-wm6pro-vs$(VSVer)-$(ConfigurationName).lib"
+
 			/>
 			<Tool
